cURL
curl --request GET \ --url https://api.enterprise.sandbox.uphold.com/core/transactions/{transactionId} \ --header 'Authorization: Bearer <token>'
{ "transaction": { "id": "623000c8-9bdf-4a2b-aa3d-6a6b44a7f6a0", "origin": { "amount": "100.00", "asset": "GBP", "rate": "47619.04761904762", "node": { "type": "account", "id": "b98e4f0d-a67d-4126-a99d-666f7e0315d9", "ownerId": "e4ce04dc-67b7-4e9f-af91-482cb6f9fc4a" } }, "destination": { "amount": "0.0021", "asset": "BTC", "rate": "0.000021", "node": { "type": "account", "id": "555a99a1-620d-4431-a0ac-b43e1aad2bdc", "ownerId": "e4ce04dc-67b7-4e9f-af91-482cb6f9fc4a" } }, "denomination": { "amount": "100.00", "asset": "GBP", "target": "origin", "rate": "1" }, "fees": [], "status": "completed", "quotedAt": "2024-07-24T15:02:39.000Z", "createdAt": "2024-07-24T15:22:39.000Z", "updatedAt": "2024-07-24T15:33:08.000Z" } }
Retrieve an existing transaction by id.
Documentation IndexFetch the complete documentation index at: https://developer.uphold.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
Use this file to discover all available pages before exploring further.
OAuth 2.0 authentication.
The transaction id.
Transaction retrieved.
Show child attributes
Was this page helpful?